<?php
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
include 'sfb.php';

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) {
    exit();
}

if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}

$id = intval($_POST['id']);
?>
<style type="text/css">
.gift {
    display: inline-block;
    border: 1px solid #cccccc;
    margin-bottom: 3px;
}
.gift:hover {
    background: #ffffff;
}
</style>
<script type="text/javascript">
$('.gift, #comms').tipTip();

function sendgift(tid, tpd) {
    $.post('ajax.php?func=addgift',{
        id: tid,
        gift: tpd,
        comms: $('#comms').val()
    }, function(data){
        alert(data);
    });
    return false;
}
$('#close_box').click(function(){
    FLAX.Html.thread['flax'].repeat();
});
</script>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Подарки</h3>
<span style="font-size: 10px;">Подарки всегда радуют... Дарят подарки не только за что-то, иногда просто приятно сделать подарок <strong>хорошему человеку</strong>. Если Вы делаете подарок своему <strong>Рефереру</strong> или <strong>Рефералу</strong>, это укрепит ваши финансовые позиции на проекте. <font color="#286286">Стоимость одного подарка составляет <strong>5</strong> голосов</font>.</span>
<div style="margin: 5px 0;" align="center"><input type="text" class="val" style="width: 90%; text-align: center;" maxlength="55" id="comms" title="Комментарий к подарку<br />Не более 55 знаков" /></div>
<div style="color: #fafafa; margin-top: 10px;" align="center">
<?
for ($i = 1; $i <= $podarki; $i++) {
    ?>
    <a href="#" onclick="sendgift(<?=$id?>, <?=$i?>); return false;" class="gift" title="Подарить"><img src="theme/img/podarki/<?=$i?>.png" width="48" height="48" border="0" /></a>
    <?
}
?>
</div>
<div id="error"></div>